import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./shop-product-line-item.stories";

<Meta of={ComponentStories} name="Docs" />

# Shop Product Line Item

This component displays a product line item with dynamic pricing and availability updates. It fetches price data from a specified endpoint and updates the UI based on user interactions and changes in quantity. The component also handles asynchronous content loading, manages form inputs, and ensures real-time data synchronization for a seamless shopping experience.

Shop Page Examples:

https://d3uqrux26k5e4s.cloudfront.net/master/?path=/story/shop-shop-items--lineitem

https://d3uqrux26k5e4s.cloudfront.net/master/?path=/story/shop-shop-items--lineitem-async-prices

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
